Skip to main content
Resource Center/Resource Pool/Affinity Group Operations

GetCandidateVMForAttachingAffinityGroup

GetCandidateVMForAttachingAffinityGroup

GET/zstack/v1/VM/attachingGroup

Operation ID

GetCandidateVMForAttachingAffinityGroup

Since

4.0.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

Query Parameters

  • affinityGroupUuid
    StringRequired

    The UUID of the affinity group.

  • systemTags
    List

    Optional. The system tags.

  • userTags
    List

    Optional. The user tags.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • success
    booleanRequired

    Whether the operation succeeded.

  • error
    ErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • code
      StringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • description
      StringRequired

      The brief description of the error.

    • details
      StringRequired

      The details about the error.

    • elaboration
      StringRequired

      The reserved field. Default value: null.

    • opaque
      LinkedHashMapRequired

      The reserved field. Default value: null.

    • cause
      ErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventories
    ListRequired

    For more information, see inventories.

    • uuid
      StringRequired

      The UUID of the VM instance.

    • name
      StringRequired

      The name of the VM instance.

    • description
      StringRequired

      The detailed description of the VM instance.

    • zoneUuid
      StringRequired

      The zone UUID.

    • clusterUuid
      StringRequired

      The cluster UUID.

    • imageUuid
      StringRequired

      The image UUID.

    • hostUuid
      StringRequired

      The host UUID.

    • lastHostUuid
      StringRequired

      The last host UUID.

    • instanceOfferingUuid
      StringRequired

      The UUID of the instance offering.

    • rootVolumeUuid
      StringRequired

      The UUID of the root volume.

    • platform
      StringRequired

      The platform.

    • defaultL3NetworkUuid
      StringRequired

      The default L3 network UUID.

    • type
      StringRequired

      The resource type.

    • hypervisorType
      StringRequired

      The hypervisor type.

    • memorySize
      LongRequired

      The memory size.

    • cpuNum
      IntegerRequired

      The number of CPUs.

    • cpuSpeed
      LongRequired

      The CPU speed.

    • allocatorStrategy
      StringRequired

      The allocator strategy.

    • createDate
      TimestampRequired

      The time when the VM Instance was created.

    • lastOpDate
      TimestampRequired

      The time when the VM Instance was last mpdified.

    • state
      StringRequired

      The resource state.

    • vmNics
      ListRequired

      For more information, see vmNics.

      • uuid
        StringRequired

        The UUID of the NIC.

      • vmInstanceUuid
        StringRequired

        The UUID of the VM instance.

      • l3NetworkUuid
        StringRequired

        The L3 network UUID.

      • ip
        StringRequired

        The IP address of the NIC.

      • mac
        StringRequired

        The MAC address of the NIC.

      • hypervisorType
        StringRequired

        The type of the hypervisor.

      • netmask
        StringRequired

        The netmask.

      • gateway
        StringRequired

        The gateway.

      • metaData
        StringRequired

        The metadata.

      • ipVersion
        IntegerRequired

        The IP version.

      • deviceId
        IntegerRequired

        The device ID.

      • type
        StringRequired

        The NIC type.

      • createDate
        TimestampRequired

        The time when the NIC was created.

      • lastOpDate
        TimestampRequired

        The time when the NIC was last modified.

      • usedIps
        ListRequired

        For more information, see usedIps.

        • uuid
          StringRequired

          The IP UUID.

        • ipRangeUuid
          StringRequired

          The IP range UUID.

        • l3NetworkUuid
          StringRequired

          The L3 network UUID.

        • ipVersion
          IntegerRequired

          The IP version.

        • ip
          StringRequired

          The IP address.

        • netmask
          StringRequired

          The netmask.

        • gateway
          StringRequired

          The gateway.

        • usedFor
          StringRequired

          The intended use.

        • ipInLong
          longRequired

          The IP address represented as a long integer.

        • vmNicUuid
          StringRequired

          The UUID of the VM NIC.

        • createDate
          TimestampRequired

          The time when the NIC was created.

        • lastOpDate
          TimestampRequired

          The time when the NIC was lastb modified.

    • allVolumes
      ListRequired

      For more information, see allVolumes.

      • uuid
        StringRequired

        The volume UUID.

      • name
        StringRequired

        The volume name.

      • description
        StringRequired

        The detailed description the

      • primaryStorageUuid
        StringRequired

        The primary storage UUID.

      • vmInstanceUuid
        StringRequired

        The VM UUID.

      • diskOfferingUuid
        StringRequired

        The disk offering UUID.

      • rootImageUuid
        StringRequired

        The root image UUID.

      • installPath
        StringRequired

        The installation path of the volume in the primary storage.

      • type
        StringRequired

        The volume type.

      • format
        StringRequired

        The disk format.

      • size
        LongRequired

        The volume size.

      • actualSize
        LongRequired

        The actual size of the

      • deviceId
        IntegerRequired

        The device ID.

      • state
        StringRequired

        The state of the volume.

      • status
        StringRequired

        The status of the volume.

      • createDate
        TimestampRequired

        The time when the volume was created.

      • lastOpDate
        TimestampRequired

        The time when the volume was last modified.

      • isShareable
        BooleanRequired

        Indicates whether the volume is sharable.

      • volumeQos
        StringRequired

        The volume QoS.

  • Change Time

    AddedResponse fields actualSize, allVolumes, allocatorStrategy...
    View API